Name:           miracle-zabbix-support-tools
Version:        1.0.6
Release:        1ML
Summary:        The useful tools for ZABBIX support work provided by MIRACLE LINUX

Group:          Utilities
License:        MIRACLE LINUX CORPORATION
ExclusiveOS:	Linux
URL:            http://www.miraclelinux.com/
Source0:        mlzbxinfo
Buildarch:      noarch
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       mysql

%description
The useful tools for ZABBIX support work provided by MIRACLE LINUX.
It includes the tools to get the machine and zabbix database information.


%prep
%setup -q -c -T
install -m 0700 %{SOURCE0} .

%build

%install
rm -rf $RPM_BUILD_ROOT
# cp mlzbxinfo files
install -d $RPM_BUILD_ROOT%{_sbindir}/
install -m 0700 mlzbxinfo $RPM_BUILD_ROOT%{_sbindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post

%preun

%files
%defattr(-,root,root,-)
%{_sbindir}/mlzbxinfo

%changelog
* Tue Jul 19 2011 Takanori Suzuki <takanori.suzuki@miraclelinux.com> 1.0.6-1%{?dist}
- Add mysql host and port options

* Tue Apr 19 2011 Takanori Suzuki <takanori.suzuki@miraclelinux.com> 1.0.5-1%{?dist}
- change mlzbxinfo to get audit log

* Thu Sep 2 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.0.4-1%{?dist}
- change mlzbxinfo to get /etc/zabbix/zabbix_proxy.conf

* Mon Jul 5 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.0.3-1%{?dist}
- replace email address in mysql dump
- fix typo in collecting zabbix logs

* Wed May 19 2010 Kodai Terashima <terashima@miraclelinux.com> 1.0.2-1%{?dist}
- Add vmstat and mpstat command logs
- Add MySQL status, show_status, show_table_status, full_processlist, show_variables, innodb_status command logs
- Add file list of /var/lib/mysql
- Add verify zabbix-server, zabbix-server-mysql, zabbix-agent, zabbix-web packages

* Thu Jan 14 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.0.1-1%{?dist}
- add some log collection about http, php, and zabbix conf files

* Fri Aug 21 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.0.0-1%{?dist}
- Initial build (Source0)
